Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Compass / Reference / Compass Operations API

Team Policies

Postman Collection
OpenAPI
GET

List team policiesExperimental

List team policies

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

teamId

string

Required

Query parameters

type

string

Required
size

integer

offset

integer

Responses

Returned if the request is successful.

application/json

oneOf [TeamNotificationPolicyPaginatedResponse, TeamAlertPolicyPaginatedResponse]

TeamNotificationPolicyPaginatedResponse
TeamAlertPolicyPaginatedResponse
GET/v1/teams/{teamId}/policies
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/policies?type={type}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "values": [ { "type": "alert", "id": "69291859-ed73-4396-8b74-c61a3c810cdf", "name": "FE Daily On-call Policy", "enabled": false, "order": 1 } ], "links": { "next": "/v1/teams/{teamId}/policies?offset=1&size=1&type=notification" } }
POST

Create team policyExperimental

Create team policy

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

policyId

string

Required
teamId

string

Required

Request bodyapplication/json

oneOf [TeamAlertPolicyDto, TeamNotificationPolicyDto]

TeamAlertPolicyDto
TeamNotificationPolicyDto

Responses

Returned if the request is successful.

application/json

oneOf [TeamAlertPolicyDto, TeamNotificationPolicyDto]

TeamAlertPolicyDto
TeamNotificationPolicyDto
POST/v1/teams/{teamId}/policies
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 curl --request POST \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/policies' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "type": "ALERT", "id": "5422f159-0ca5-4fd9-9f73-770b2778baa3", "name": "test 2", "description": "asdasd", "teamId": "5422f159-0ca5-4fd9-9f73-7707enver82a3", "enabled": true, "order": 0, "filter": { "type": "match-any-condition", "conditions": [ { "field": "message", "not": false, "operation": "contains", "expectedValue": "asd", "order": 0 } ] }, "timeRestriction": { "enabled": true, "timeRestrictions": [ { "startHour": 0, "startMinute": 0, "endHour": 1, "endMinute": 0 } ], "appliedTimeZone": "(GMT+03:00) Europe/Istanbul TRT" }, "alias": "{{alias}}", "message": "{{message}} asd", "alertDescription": "{{description}}", "source": "{{source}}", "entity": "{{entity}}", "responders": [], "actions": [], "tags": [], "details": {}, "continue": false, "updatePriority": false, "keepOriginalResponders": true, "keepOriginalDetails": true, "keepOriginalActions": true, "keepOriginalTags": true }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 { "type": "ALERT", "id": "5422f159-0ca5-4fd9-9f73-770b2778baa3", "name": "test 2", "description": "asdasd", "teamId": "5422f159-0ca5-4fd9-9f73-7707enver82a3", "enabled": true, "order": 0, "filter": { "type": "match-any-condition", "conditions": [ { "field": "message", "not": false, "operation": "contains", "expectedValue": "asd", "order": 0 } ] }, "timeRestriction": { "enabled": true, "timeRestrictions": [ { "startHour": 0, "startMinute": 0, "endHour": 1, "endMinute": 0 } ], "appliedTimeZone": "(GMT+03:00) Europe/Istanbul TRT" }, "alias": "{{alias}}", "message": "{{message}} asd", "alertDescription": "{{description}}", "source": "{{source}}", "entity": "{{entity}}", "responders": [], "actions": [], "tags": [], "details": {}, "continue": false, "updatePriority": false, "keepOriginalResponders": true, "keepOriginalDetails": true, "keepOriginalActions": true, "keepOriginalTags": true }
GET

Get team policyExperimental

Get team policy

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

policyId

string

Required
teamId

string

Required

Responses

Returned if the request is successful.

application/json

oneOf [TeamAlertPolicyDto, TeamNotificationPolicyDto]

TeamAlertPolicyDto
TeamNotificationPolicyDto
GET/v1/teams/{teamId}/policies/{policyId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/policies/{policyId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 { "type": "ALERT", "id": "5422f159-0ca5-4fd9-9f73-770b2778baa3", "name": "test 2", "description": "asdasd", "teamId": "5422f159-0ca5-4fd9-9f73-7707enver82a3", "enabled": true, "order": 0, "filter": { "type": "match-any-condition", "conditions": [ { "field": "message", "not": false, "operation": "contains", "expectedValue": "asd", "order": 0 } ] }, "timeRestriction": { "enabled": true, "timeRestrictions": [ { "startHour": 0, "startMinute": 0, "endHour": 1, "endMinute": 0 } ], "appliedTimeZone": "(GMT+03:00) Europe/Istanbul TRT" }, "alias": "{{alias}}", "message": "{{message}} asd", "alertDescription": "{{description}}", "source": "{{source}}", "entity": "{{entity}}", "responders": [], "actions": [], "tags": [], "details": {}, "continue": false, "updatePriority": false, "keepOriginalResponders": true, "keepOriginalDetails": true, "keepOriginalActions": true, "keepOriginalTags": true }
PUT

Put team policyExperimental

Put team policy

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

policyId

string

Required
teamId

string

Required

Request bodyapplication/json

oneOf [TeamAlertPolicyDto, TeamNotificationPolicyDto]

TeamAlertPolicyDto
TeamNotificationPolicyDto

Responses

Returned if the request is successful.

application/json

oneOf [TeamAlertPolicyDto, TeamNotificationPolicyDto]

TeamAlertPolicyDto
TeamNotificationPolicyDto
PUT/v1/teams/{teamId}/policies/{policyId}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 curl --request PUT \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/policies/{policyId}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "type": "ALERT", "id": "5422f159-0ca5-4fd9-9f73-770b2778baa3", "name": "test 2", "description": "asdasd", "teamId": "5422f159-0ca5-4fd9-9f73-7707enver82a3", "enabled": true, "order": 0, "filter": { "type": "match-any-condition", "conditions": [ { "field": "message", "not": false, "operation": "contains", "expectedValue": "asd", "order": 0 } ] }, "timeRestriction": { "enabled": true, "timeRestrictions": [ { "startHour": 0, "startMinute": 0, "endHour": 1, "endMinute": 0 } ], "appliedTimeZone": "(GMT+03:00) Europe/Istanbul TRT" }, "alias": "{{alias}}", "message": "{{message}} asd", "alertDescription": "{{description}}", "source": "{{source}}", "entity": "{{entity}}", "responders": [], "actions": [], "tags": [], "details": {}, "continue": false, "updatePriority": false, "keepOriginalResponders": true, "keepOriginalDetails": true, "keepOriginalActions": true, "keepOriginalTags": true }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 { "type": "ALERT", "id": "5422f159-0ca5-4fd9-9f73-770b2778baa3", "name": "test 2", "description": "asdasd", "teamId": "5422f159-0ca5-4fd9-9f73-7707enver82a3", "enabled": true, "order": 0, "filter": { "type": "match-any-condition", "conditions": [ { "field": "message", "not": false, "operation": "contains", "expectedValue": "asd", "order": 0 } ] }, "timeRestriction": { "enabled": true, "timeRestrictions": [ { "startHour": 0, "startMinute": 0, "endHour": 1, "endMinute": 0 } ], "appliedTimeZone": "(GMT+03:00) Europe/Istanbul TRT" }, "alias": "{{alias}}", "message": "{{message}} asd", "alertDescription": "{{description}}", "source": "{{source}}", "entity": "{{entity}}", "responders": [], "actions": [], "tags": [], "details": {}, "continue": false, "updatePriority": false, "keepOriginalResponders": true, "keepOriginalDetails": true, "keepOriginalActions": true, "keepOriginalTags": true }
DEL

Delete global alert policyExperimental

Delete global alert policy

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

policyId

string

Required
teamId

string

Required

Responses

Returned if the policy is deleted successfully.

DEL/v1/teams/{teamId}/policies/{policyId}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/policies/{policyId}' \ --user 'email@example.com:<api_token>'
POST

Change the order of team policyExperimental

Change the order of team policy

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

policyId

string

Required
teamId

string

Required

Request bodyapplication/json

order

number

Responses

Returned if the policy is deleted successfully.

POST/v1/teams/{teamId}/policies/{policyId}/change-order
1 2 3 4 5 6 7 curl --request POST \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/policies/{policyId}/change-order' \ --user 'email@example.com:<api_token>' \ --header 'Content-Type: application/json' \ --data '{ "order": 3 }'
POST

Enable the team policyExperimental

Enable the team policy

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

policyId

string

Required
teamId

string

Required

Responses

Returned if the request is successful.

application/json

oneOf [TeamAlertPolicyDto, TeamNotificationPolicyDto]

TeamAlertPolicyDto
TeamNotificationPolicyDto
POST/v1/teams/{teamId}/policies/{policyId}/enable
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/policies/{policyId}/enable' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 { "type": "ALERT", "id": "5422f159-0ca5-4fd9-9f73-770b2778baa3", "name": "test 2", "description": "asdasd", "teamId": "5422f159-0ca5-4fd9-9f73-7707enver82a3", "enabled": true, "order": 0, "filter": { "type": "match-any-condition", "conditions": [ { "field": "message", "not": false, "operation": "contains", "expectedValue": "asd", "order": 0 } ] }, "timeRestriction": { "enabled": true, "timeRestrictions": [ { "startHour": 0, "startMinute": 0, "endHour": 1, "endMinute": 0 } ], "appliedTimeZone": "(GMT+03:00) Europe/Istanbul TRT" }, "alias": "{{alias}}", "message": "{{message}} asd", "alertDescription": "{{description}}", "source": "{{source}}", "entity": "{{entity}}", "responders": [], "actions": [], "tags": [], "details": {}, "continue": false, "updatePriority": false, "keepOriginalResponders": true, "keepOriginalDetails": true, "keepOriginalActions": true, "keepOriginalTags": true }
POST

Disable the global alert policyExperimental

Disable the global alert policy

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

policyId

string

Required
teamId

string

Required

Responses

Returned if the request is successful.

application/json

oneOf [TeamAlertPolicyDto, TeamNotificationPolicyDto]

TeamAlertPolicyDto
TeamNotificationPolicyDto
POST/v1/teams/{teamId}/policies/{policyId}/disable
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/policies/{policyId}/disable' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 { "type": "ALERT", "id": "5422f159-0ca5-4fd9-9f73-770b2778baa3", "name": "test 2", "description": "asdasd", "teamId": "5422f159-0ca5-4fd9-9f73-7707enver82a3", "enabled": true, "order": 0, "filter": { "type": "match-any-condition", "conditions": [ { "field": "message", "not": false, "operation": "contains", "expectedValue": "asd", "order": 0 } ] }, "timeRestriction": { "enabled": true, "timeRestrictions": [ { "startHour": 0, "startMinute": 0, "endHour": 1, "endMinute": 0 } ], "appliedTimeZone": "(GMT+03:00) Europe/Istanbul TRT" }, "alias": "{{alias}}", "message": "{{message}} asd", "alertDescription": "{{description}}", "source": "{{source}}", "entity": "{{entity}}", "responders": [], "actions": [], "tags": [], "details": {}, "continue": false, "updatePriority": false, "keepOriginalResponders": true, "keepOriginalDetails": true, "keepOriginalActions": true, "keepOriginalTags": true }

Rate this page: